Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ericsson.otp.ic
Class Ref

    java.lang.Object
      com.ericsson.otp.erlang.OtpErlangRef
          com.ericsson.otp.ic.Ref

    public final class Ref

extends com.ericsson.otp.erlang.OtpErlangRef

Ref class mapps the built-in erlang type Ref, a message reference.

Constructor Summary
`Ref(com.ericsson.otp.erlang.OtpSelf self)`
`Ref(java.lang.String node, int[] ids, int creation)`
`Ref(java.lang.String node, int id, int creation)` Old style Ref costructor.

Method Summary
`boolean` | `equal(Ref _ref)` Comparisson method for Ref.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Ref

    public Ref(com.ericsson.otp.erlang.OtpSelf self)

### Ref

    public Ref(java.lang.String node,
               int id,
               int creation)

  Old style Ref costructor. Costructs an Ref that coresponds to the old erlang Ref type.

### Ref

    public Ref(java.lang.String node,
               int[] ids,
               int creation)

Method Detail

### equal

    public boolean equal(Ref _ref)

  Comparisson method for Ref.

  Returns:
    true if the input Ref value equals the value of the current object, false otherwize

Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1991-2007 Ericsson AB
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD